Rated 5 out of 5 stars

Version 2.8 doesn't work with Firefox 3.6.28 (version 2.6.4 does work).